Bug 454241 - Can't mount remote windows shares using Places->Connect to server
Can't mount remote windows shares using Places->Connect to server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 03:05 EDT by Oded Arbel
Modified: 2013-03-05 22:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2008-07-07 03:05:47 EDT
Description of problem:
I have a windows server "negro" with browseable share "users" which contains my
user folder "oded.a" which I can access. I can use nautilus to browse to
"smb://negro/users/oded.a" fine with no problems. When I use Places->Connect to
server, and fill in the details:
Type: windows share
Server: negro
Share: users
Folder: oded.a
Domain: mydomain

I get an error saying: 
Can't display location "smb://negro/users/oded.a"
The specified location is not mounted

After I do that, in the "places" side bar on a nautilus window (and Places menu
in GNOME menu) I can see that a "users" mount appeared. Clicking on the new
mount point, I get another (duplicate) "users" mount in the "places" list, and I
can browse the share fine. If I now try to Connect to server with the above
details, it works fine. After I manually unmount both "users" mount points, I
can reproduce the problem again.

I can't reproduce this problem in Fedora 8. I'm also not sure if gnome-mount is
the right component for this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make sure no windows shares are mounter
2. Use Places->connect to server to access a windows share
  
Actual results:
Nautilus error message and no window opens, but a share appears to be mounted

Expected results:
The share should be mounted and a nautilus window should open.

Additional info:
I have gvfs-fuse installed. Also after I get the duplicate mount points mess,
doing ps shows two gvfsd-smb processes.
Comment 1 Bug Zapper 2009-06-09 21:57:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.